Instalasi Paket Multilib Pada Slackware64 14.1 - Alien BOB Build - DHOCNET Blog

HOT

DHOCNET Blog

Linux - Jaringan - Windows

Post Top Ad

Senin, 11 Januari 2016

Instalasi Paket Multilib Pada Slackware64 14.1 - Alien BOB Build



Bismillah,...

No such file or directory! Itulah yang saya dapat saat mencoba menjalankan aplikasi Kompozer yang baru saya pasang. Ada apa? Padahal saat diperiksa, file tersebut berada di tempat yang benar. Yaitu /usr/lib/kompozer-0.8b3/. Hmmm,... usut punya usut, ternyata build script untuk Kompozer dari slackbuilds.org hanya melakukan pemaketan program saja tanpa proses compile. Dan program binari yang disediakan hanya program dengan arsitektur 32bit (saya kurang memperhatikan disini, :-() sedangkan saya menggunakan sistem dengan arsitektur 64bit.










Dari sini, ada dua solusi yang bisa dipilih. Yaitu build ulang dari kode sumber atau pasang paket multilib. Dari beberapa pertimbangan, seperti salah satunya adalah, menyediakan pustaka yang lengkap untuk paket-paket lain yang mungkin nanti akan dipasang, maka saya memutuskan untuk memasang paket multilib.

Saya menggunakan paket multilib hasil build dari Alien BOB dan mengikuti intruksi instalasinya seperti berikut:

Dengan terminal, login sebagai root, pindah direktori ke /tmp (opsional, paket bisa di download dimana saja) lalu membuat direktori multilib agar tidak berantakan. Kemudian menjalankan perintah berikut:

# lftp -c 'open http://slackware.com/~alien/multilib/ ; mirror -c -e 14.1'



Karena proses download lumayan lama (tergantung seberapa cepat koneksi yang digunakan), maka saat proses berjalan kita bisa melakukan aktifitas lainya.



Beberapa saat setelah saya melakukan aktifitas lainya, akhirnya paket telah ter-download semuanya. Kemudian yang dilakukan adalah melakukan upgrade paket dengan perintah:

# cd 14.1
# upgradepkg --reinstall --install-new *.t?z

Tunggu lagi beberapa saat sampai paket berhasil di upgrade atau install. Lalu jalankan lagi perintah berikut untuk meng-upgrade paket lainya:


# upgradepkg --install-new slackware64-compat32/*-compat32/*.t?z














Setelah reboot, kini Kompozer 32bit dapat dijalankan pada Slackware64 14.1.



Sumber:
http://www.slackware.com/~alien/multilib/

Tidak ada komentar:

Posting Komentar